openwebbeans-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From strub...@apache.org
Subject svn commit: r1759157 - in /openwebbeans/cms-site/trunk/content: download.mdtext modules.mdtext openwebbeans-el.mdtext owbsetup_ee.mdtext
Date Sun, 04 Sep 2016 09:24:44 GMT
Author: struberg
Date: Sun Sep  4 09:24:44 2016
New Revision: 1759157

URL: http://svn.apache.org/viewvc?rev=1759157&view=rev
Log:
update info after OWB-1.7.0 release

Modified:
    openwebbeans/cms-site/trunk/content/download.mdtext
    openwebbeans/cms-site/trunk/content/modules.mdtext
    openwebbeans/cms-site/trunk/content/openwebbeans-el.mdtext
    openwebbeans/cms-site/trunk/content/owbsetup_ee.mdtext

Modified: openwebbeans/cms-site/trunk/content/download.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/download.mdtext?rev=1759157&r1=1759156&r2=1759157&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/download.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/download.mdtext Sun Sep  4 09:24:44 2016
@@ -30,6 +30,32 @@ Read more about [How we sign Apache Rele
 
 ----------
 
+## OWB-1.7.x
+
+OWB-1.7.x implements the full CDI-1.2 specification.
+It uses a shaded version of ASM-5 for building our proxies and needs JavaSE 7 as minimum
version.
+This version removed support for older technologies like JSF-1.2, EL-1.0 and Tomcat6
+
+#### Binaries
+The binary distribution contains all OpenWebBeans modules.
+
+* [openwebbeans-distribution-1.7.0-binary.zip](http://www.apache.org/dyn/closer.lua/openwebbeans/1.7.0/openwebbeans-distribution-1.7.0-binary.zip)
+* [openwebbeans-distribution-1.7.0-binary.zip.sha1](http://www.apache.org/dist/openwebbeans/1.7.0/openwebbeans-distribution-1.7.0-binary.zip.sha1)
+* [openwebbeans-distribution-1.7.0-binary.zip.asc](http://www.apache.org/dist/openwebbeans/1.7.0/openwebbeans-distribution-1.7.0-binary.zip.asc)
+* [openwebbeans-distribution-1.7.0-binary.tar.gz](http://www.apache.org/dyn/closer.lua/openwebbeans/1.7.0/openwebbeans-distribution-1.7.0-binary.tar.gz)
+* [openwebbeans-distribution-1.7.0-binary.tar.gz.sha1](http://www.apache.org/dist/openwebbeans/1.7.0/openwebbeans-distribution-1.7.0-binary.tar.gz.sha1)
+* [openwebbeans-distribution-1.7.0-binary.tar.gz.asc](http://www.apache.org/dist/openwebbeans/1.7.0/openwebbeans-distribution-1.7.0-binary.tar.gz.asc)
+
+#### Source
+Should you want to build any of the above binaries, this source bundle is the right one and
covers them all.
+
+* [openwebbeans-1.7.0-source-release.zip](http://www.apache.org/dyn/closer.lua/openwebbeans/1.7.0/openwebbeans-1.7.0-source-release.zip)
+* [openwebbeans-1.7.0-source-release.zip.sha1](http://www.apache.org/dist/openwebbeans/1.7.0/openwebbeans-1.7.0-source-release.zip.sha1)
+* [openwebbeans-1.7.0-source-release.zip.asc](http://www.apache.org/dist/openwebbeans/1.7.0/openwebbeans-1.7.0-source-release.zip.asc)
+
+
+----------
+
 ## OWB-1.6.x
 
 OWB-1.6.x implements the full CDI-1.2 specification.

Modified: openwebbeans/cms-site/trunk/content/modules.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/modules.mdtext?rev=1759157&r1=1759156&r2=1759157&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/modules.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/modules.mdtext Sun Sep  4 09:24:44 2016
@@ -9,7 +9,7 @@
 - [Tomcat plugins 6 & 7](openwebbeans-tomcat.html)
 - [JMS plugin](openwebbeans-jms.html)
 - [JSF plugins](openwebbeans-jsf.html)
-- [EL 1.0 plugin](openwebbeans-el10.html)
+- [EL 2.2 plugin](openwebbeans-el.html)
 - [EE Resource plugin](openwebbeans-resource.html)
 - [OSGi plugin](openwebbeans-osgi.html)
 - [CDI Test Framework](owbtest.html)

Modified: openwebbeans/cms-site/trunk/content/openwebbeans-el.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/openwebbeans-el.mdtext?rev=1759157&r1=1759156&r2=1759157&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/openwebbeans-el.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/openwebbeans-el.mdtext Sun Sep  4 09:24:44 2016
@@ -29,14 +29,5 @@ Described in context here: [Getting star
         <scope>compile</scope>
     </dependency>
 
-###EL 1.1 Module
-
-    <dependency>
-        <groupId>org.apache.openwebbeans</groupId>
-        <artifactId>openwebbeans-el11</artifactId>
-        <version>${owb.version}</version>
-        <scope>compile</scope>
-    </dependency>
-
 
   [1]: http://openwebbeans.apache.org/owbsetup_ee.html
\ No newline at end of file

Modified: openwebbeans/cms-site/trunk/content/owbsetup_ee.mdtext
URL: http://svn.apache.org/viewvc/openwebbeans/cms-site/trunk/content/owbsetup_ee.mdtext?rev=1759157&r1=1759156&r2=1759157&view=diff
==============================================================================
--- openwebbeans/cms-site/trunk/content/owbsetup_ee.mdtext (original)
+++ openwebbeans/cms-site/trunk/content/owbsetup_ee.mdtext Sun Sep  4 09:24:44 2016
@@ -55,25 +55,21 @@ For Servlet Container projects such as T
 ### Plugins
 The following plugins are very useful if you need JSF, expression language (el) etc. Add
accordingly to your needs.
 
-- **[openwebbeans-el11][8]**
 - **[openwebbeans-el22][9]**
 - **[openwebbeans-tomcat7][10]**
 - **[openwebbeans-tomcat6][11]**
-- **[openwebbeans-jsf12][12]**
 - **[openwebbeans-jsf22][13]**
 
 ###When to use respective plugin
 
 If the project uses Expression Language add EL plugin accordingly to your version. This is
required for using EL.
 
-* Expression Language 1.1 - **[openwebbeans-jsf12][12]**
 * Expression Language 2.2 / 3.0 - **[openwebbeans-el22][9]**
 
 </br>
 For JSF support add JSF plugin accordingly to your version of JSF. This plugin is required
for JSF support and do not forget the include the EL-plugin explained above.
 
 * Java Server Faces 2.0 or later - **[openwebbeans-jsf22][13]**
-* Java Server Faces 1.1/1.2 - **[openwebbeans-jsf12][12]**
 
 If the project uses Tomcat 6 or Tomcat 7 you can add the respective plugin. This is not required
but enables injection in Servlets and Filters. Note that Tomcat7 should be read as Tomcat7+
thus it works perfectly fine with Tomcat 8.
 



Mime
View raw message